Botan 1.10.17

Namespaces | Functions
pkcs8.cpp File Reference
`#include <botan/pkcs8.h>`
`#include <botan/get_pbe.h>`
`#include <botan/der_enc.h>`
`#include <botan/ber_dec.h>`
`#include <botan/asn1_obj.h>`
`#include <botan/oids.h>`
`#include <botan/pem.h>`
`#include <botan/internal/pk_algs.h>`
`#include <memory>`

Go to the source code of this file.

## Namespaces
| Botan
| Botan::PKCS8

## Functions
SecureVector< byte > | Botan::PKCS8::BER_encode (const Private_Key &key)
SecureVector< byte > | Botan::PKCS8::BER_encode (const Private_Key &key, RandomNumberGenerator &rng, const std::string &pass, const std::string &pbe_algo)
Private_Key * | Botan::PKCS8::copy_key (const Private_Key &key, RandomNumberGenerator &rng)
Private_Key * | Botan::PKCS8::load_key (DataSource &source, RandomNumberGenerator &rng, const User_Interface &ui)
Private_Key * | Botan::PKCS8::load_key (const std::string &fsname, RandomNumberGenerator &rng, const User_Interface &ui)
Private_Key * | Botan::PKCS8::load_key (DataSource &source, RandomNumberGenerator &rng, const std::string &pass)
Private_Key * | Botan::PKCS8::load_key (const std::string &fsname, RandomNumberGenerator &rng, const std::string &pass)
std::string | Botan::PKCS8::PEM_encode (const Private_Key &key)
std::string | Botan::PKCS8::PEM_encode (const Private_Key &key, RandomNumberGenerator &rng, const std::string &pass, const std::string &pbe_algo)